#!D:\IDE\Anaconda3\envs\Microscope_Scan python
# -*- coding: UTF-8 -*-
"""
 @Author: Administrator
 @FileName: RunStatusLevel.py
 @DateTime: 2025/6/29 18:37
 @SoftWare: PyCharm
 @Author  ：xsh
"""

class RunStatusLevel(int):
    ExitRunning     = 0
    Running         = 1
    PauseRunning    = 2
    SystemWarning   = 3
    OilWarning      = 4
    ChamberWarning  = 5
    BuzzerWarning   = 6
    @classmethod
    def all(cls) -> list[int]:
        return [cls.ExitRunning    ,cls.Running        ,cls.PauseRunning   ,cls.SystemWarning  ,cls.OilWarning     ,cls.ChamberWarning ,cls.BuzzerWarning  ]
